textures/oasi/oasisky
{
	nocompress
	qer_editorimage textures/skies_sd/nero_bluelight.tga
	q3map_lightimage textures/skies_sd/nero_bluelight.tga	
	q3map_nofog
	q3map_globaltexture	
	q3map_sun 0.75 0.70 0.6 135 199 49
	q3map_lightmapFilterRadius 0 8	
	q3map_lightsubdivide 256 	
	q3map_skylight 75 3
	q3map_surfacelight 30
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms - 412 -	
	sunshader textures/oasi/oasisunbright	
	{
		map textures/oasi/oasiclouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll -0.008 -0.008
		rgbGen identityLighting
	} 
	{
		clampmap textures/skies_sd/siwa_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}

textures/oasi/oasisunbright
{
	cull none
	nofog
	{
		map textures/oasi/oasisun.tga
		blendFunc GL_SRC_ALPHA GL_ONE		
		rgbGen identityLighting
		rgbGen identityLighting		
	}
}

textures/oasi/light_c06_20000
{
	qer_editorimage textures/oasi/light_c06.tga
	q3map_lightimage textures/oasi/light_c06.blend.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/oasi/light_c06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/oasi/light_c06.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/oasi/tele
{
	qer_editorimage textures/oasi/tele1.tga
	cull none
	q3map_lightimage textures/oasi/tele1.tga
	q3map_surfacelight 100
	{
		map textures/oasi/tele2.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}
	{
		map textures/oasi/tele1.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}	
}

textures/oasi/lightblock
{
	qer_editorimage textures/oasi/lightblock.tga
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map $whiteimage
		alphaFunc GT0
		alphaGen const 0
	}
}

///////////////////////////////////////////////////////////////////////
textures/oasi/backhill
{
	qer_editorimage textures/oasi/backhill.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/oasi/backhill.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/oasi/splash3
{
	qer_editorimage textures/oasi/splash1.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	sort 16
	deformVertexes move 10 -5 20 sawtooth 0 1 0 1 		
	deformVertexes autosprite
	//<x> <y> <z> <func> <base><amplitude> <phase> <freq>
	{
		clampmap textures/oasi/splash1.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1
		tcMod stretch sawtooth 1 0 0 1 
		alphaGen wave sawtooth 0.6 -0.6 0 1 
	}
}

textures/oasi/splash4
{
	qer_editorimage textures/oasi/splash1.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	sort 16
	deformVertexes move 10 -5 20 sawtooth 0 1 0 0.78 		
	deformVertexes autosprite
	//<x> <y> <z> <func> <base><amplitude> <phase> <freq>
	{
		clampmap textures/oasi/splash1.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.78 
		tcMod stretch sawtooth 1 0 0 0.78 
		alphaGen wave sawtooth 0.6 -0.6 0 0.78 
	}
}

textures/oasi/oasi_water
{
	nocompress
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog
	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	deformVertexes wave 64 sin .2 .2 0 .2
		{ 
		fog on
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	{ 
		fog on
		map textures/oasi/water_mid.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	{ 
		fog on
		map textures/oasi/water_overlay.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/oasi/toxic_water02.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scale 0.04 0.04
		tcmod scroll .001 -.001
	}
}

textures/oasi/waterfallgr
{
	qer_editorimage textures/oasi/water_mid.tga
    qer_trans .9
	nopicmip
	nocompress
	cull none
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm lightfilter
	surfaceparm pointlight
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/oasi/water_overlay.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.2 0.1 0 0.2
		alphaGen vertex
		tcMod turb 0 0.10 0 0.10
		tcmod scroll -0.1 -0.08
	}
	{
		map textures/oasi/water_mid.tga 
		blendfunc blend
		tcMod scroll -0.4 -0.04
		alphaGen Vertex
	}

}

textures/oasi/toxic_water
{
	qer_editorimage textures/oasi/toxic_water01.tga
	q3map_lightimage textures/oasi/toxic_reflect.jpg
	q3map_surfacelight 50
	qer_trans 0.8
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	nopicmip
	deformVertexes wave 128 sin 0.5 .3 .5 1 
	deformVertexes wave 30 sin 0 2 0 0.4
	q3map_globaltexture
	{
		map textures/oasi/toxic_reflect.jpg
		blendfunc blend
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
		tcGen environment 
	}
	{
		map textures/oasi/toxic_water01.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 0.35 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map textures/oasi/toxic_water02.tga
		blendfunc blend
		rgbGen identity
		tcMod scale -.85 -1
		tcMod scroll 0.035 0.02
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/oasi/toxic_water2_glasstube
{
	qer_editorimage textures/oasi/toxic_water01.tga
	q3map_lightimage textures/oasi/toxic_reflect.jpg
	q3map_surfacelight 800
	qer_trans 0.8
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm glass
	cull disable
	nopicmip
	q3map_globaltexture
	{
		map textures/oasi/toxic_reflect.jpg
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.0 -0.15
		tcGen environment 
	}
	{
		map textures/oasi/toxic_water01.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 0.5 0.2
		tcMod scroll 0.0 -0.15
	}
	{
		map textures/oasi/toxic_water02.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.0 -0.2
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/oasi/toxic_water2
{
	qer_editorimage textures/oasi/toxic_water01.tga
	q3map_lightimage textures/oasi/toxic_reflect.jpg
	q3map_surfacelight 60
	qer_trans 0.8
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	nopicmip
	q3map_globaltexture
	{
		map textures/oasi/toxic_reflect.jpg
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.0 -0.001
		tcGen environment 
	}
	{
		map textures/oasi/toxic_water01.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 0.05 0.02
		tcMod scroll 0.0 -0.002
	}
	{
		map textures/oasi/toxic_water02.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.0 0.002
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/oasi/toxic_waternolight
{
	qer_editorimage textures/oasi/toxic_water01.tga
	qer_trans 0.95
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	nopicmip
	q3map_globaltexture
	{
		map textures/oasi/toxic_reflect.jpg
		blendfunc blend
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
		tcGen environment 
	}
	{
		map textures/oasi/toxic_water01.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 0.35 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map textures/oasi/toxic_water02.tga
		blendfunc blend
		rgbGen identity
		tcMod scale -.85 -1
		tcMod scroll 0.035 0.02
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/oasi/greenbub
{
	qer_editorimage textures/oasi/greenbub.tga
	qer_trans .95
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water	
	cull disable
	{ 
		map textures/oasi/greenbub.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scroll .1 .5
	}
}

textures/oasi/web
{
    qer_trans 0.8
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.1
    {
        map textures/oasi/web.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
}

textures/oasi/fence
{
	qer_alphaFunc gequal 0.5
	cull disable
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	{
		map textures/oasi/fence.tga
		alphaFunc GE128
        depthWrite
		rgbGen identity
	}
}

////////////////////////////////////////obj icon
textures/oasi/objective_fuel
{
	nocompress
	nopicmip
	{
		map textures/oasi/cm_fuel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

textures/oasi/objective_key
{
	nocompress
	nopicmip
	{
		map textures/oasi/cm_key.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

textures/oasi/objective_keylock
{
	nocompress
	nopicmip
	{
		map textures/oasi/cm_keylock.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

textures/oasi/objective_aagg
{
	nocompress
	nopicmip
	{
		map textures/oasi/cm_aagg.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

/////// =================== bunker4fun
textures/oasi/bunker4fun
	{
	qer_trans 0.85
	qer_editorimage textures/oasi/b4.tga
	cull disable
	sort 6
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid
	implicitMask textures/oasi/b4.tga
	}

/////// =================== sock
textures/oasi/sock
	{
	qer_trans 0.85
	qer_editorimage textures/oasi/sock.tga
	cull disable
	sort 6
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid
	implicitMask textures/oasi/sock.tga
	}

/////////////////// VLEK
textures/oasi/vlek 
{ 
	qer_editorimage textures/oasi/vlek.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	polygonOffset
	sort decal
	{
		map textures/oasi/vlek.tga
       	blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}

textures/oasi/beam
{
	qer_editorimage textures/oasi/beamer.tga
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/oasi/beamer.tga
		blendFunc add
		tcmod scroll -0.07 -0.1
	}
}

textures/oasi/crate
{
	qer_editorimage textures/oasi/crate.jpg
	surfaceparm woodsteps
	implicitMap -
}

textures/oasi/flame_5000
{
	//----(SA) added "lick"
	deformVertexes wave 194 sin 0 2 0 .5
	deformVertexes wave 30 sin 0 1 0 .9
	deformVertexes wave 194 sin 0 1 0 .6
	//----(SA) end
	qer_editorimage textures/sfx/flame1.tga
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_lightimage textures/sfx/flame_COLOR.tga
	q3map_surfacelight 2500
	{
		animMap 8 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 8
	}	
	{
		animMap 8 textures/sfx/flame8.tga textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 8
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/oasi/projector
{
	q3map_surfacelight 10
	qer_editorimage textures/oasi/pic1.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	polygonOffset
	nocompress
	nomipmaps
	nopicmip
	{
		animMap .1 textures/oasi/pic1.tga textures/oasi/pic2.tga textures/oasi/pic3.tga textures/oasi/pic4.tga
		blendFunc GL_ONE GL_ONE
	}	
}

///////// ================== models
textures/rayban/barrel1
{
	qer_editorimage models/mapobjects/rayban/barrel1.tga
	surfaceparm woodsteps
	implicitMap models/mapobjects/rayban/barrel1.tga
}

models/mapobjects/praetoria/airplanes/propeller
{
	cull none
	{
		clampmap models/mapobjects/praetoria/airplanes/propeller.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		tcMod rotate 200
	}
}

///////// ====================== terrain
////////////////////////////////oasi-a0
textures/oasi-a0/terrain_base
{
	nopicmips
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
}

textures/oasi-a0/terrain_0
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_1
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_2
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_3
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_4
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/rock_edged_smooth.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/rock_edged_smooth.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_5
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_gravels_bright.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_gravels_bright.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_0to1
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/grass_sand_flat.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_0to2
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_0to3
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_0to4
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_0to5
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_1to2
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_1to3
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_1to4
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_1to5
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_2to3
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_2to4
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_2to5
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_3to4
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_3to5
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a0/terrain_4to5
{
	q3map_baseshader textures/oasi-a0/terrain_base
	qer_editorimage textures/desert_sd/rock_edged_smooth.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/rock_edged_smooth.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

///////// ====================== terrain
////////////////////////////////oasi-a
textures/oasi-a/terrain_base
{
	nopicmips
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
}

textures/oasi-a/terrain_0
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_1
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_2
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_3
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_4
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/pavement_tris_sandy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/pavement_tris_sandy.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_5
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_gravels_bright.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_gravels_bright.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_6
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/rock_edged_smooth.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/rock_edged_smooth.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_0to1
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/grass_sand_flat.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_0to2
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_0to3
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_0to4
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_0to5
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_0to6
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_1to2
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_1to3
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_1to4
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_1to5
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_1to6
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_2to3
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_2to4
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_2to5
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_2to6
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_3to4
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_3to5
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_3to6
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_4to5
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/pavement_tris_sandy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/pavement_tris_sandy.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_4to6
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/pavement_tris_sandy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/pavement_tris_sandy.tga
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-a/terrain_5to6
{
	q3map_baseshader textures/oasi-a/terrain_base
	qer_editorimage textures/desert_sd/sand_gravels_bright.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_gravels_bright.tga
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

///////// ====================== terrain
////////////////////////////////oasi-b
textures/oasi-b/terrain_base
{
	nopicmips
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
}

textures/oasi-b/terrain_0
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_1
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_2
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_3
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_4
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_dirt_medium.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_dirt_medium.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_5
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_gravels_bright.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_gravels_bright.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_0to1
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/grass_sand_flat.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_0to2
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_0to3
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_0to4
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_0to5
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_1to2
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_1to3
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_1to4
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_1to5
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_2to3
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_2to4
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_2to5
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_3to4
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_3to5
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-b/terrain_4to5
{
	q3map_baseshader textures/oasi-b/terrain_base
	qer_editorimage textures/desert_sd/sand_dirt_medium.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_dirt_medium.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

///////// ====================== terrain
////////////////////////////////oasi-c
textures/oasi-c/terrain_base
{
	nopicmips
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
}

textures/oasi-c/terrain_0
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_1
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_2
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_3
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_4
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_dirt_medium.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_dirt_medium.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_5
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_gravels_bright.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_gravels_bright.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_0to1
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/grass_sand_flat.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_0to2
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_0to3
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_0to4
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_0to5
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_1to2
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_1to3
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_1to4
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_1to5
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_2to3
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_2to4
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_2to5
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_3to4
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_3to5
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-c/terrain_4to5
{
	q3map_baseshader textures/oasi-c/terrain_base
	qer_editorimage textures/desert_sd/sand_dirt_medium.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_dirt_medium.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

///////// ====================== terrain
////////////////////////////////oasi-d
textures/oasi-d/terrain_base
{
	nopicmips
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
}

textures/oasi-d/terrain_0
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_1
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_2
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_3
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_4
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_dirt_medium.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_dirt_medium.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_5
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_gravels_bright.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_gravels_bright.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_0to1
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/grass_sand_flat.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_0to2
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_0to3
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_0to4
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_0to5
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_wave_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_1to2
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_1to3
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_1to4
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_1to5
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_2to3
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_2to4
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_2to5
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_3to4
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_3to5
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_patchy.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}

textures/oasi-d/terrain_4to5
{
	q3map_baseshader textures/oasi-d/terrain_base
	qer_editorimage textures/desert_sd/sand_dirt_medium.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/desert_sd/sand_dirt_medium.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/oasi/cloudshadow.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR //
		rgbgen identity
		tcGen vector ( 0.000061 0 0 ) ( 0 0.000061 0 )
		tcmod scroll 0.006 0.006		
		detail
		alphaGen vertex
	}
}